> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# AceDataCloud 플랫폼 주문 목록 가져오기

> Platform API guide - Ace Data Cloud

계정의 충전 주문을 페이지네이션으로 반환하며, 주문 ID 찾기, 결제 상태 확인 및 대사에 적합합니다.

## 준비 작업

[Account Token](https://platform.acedata.cloud/documents/platform-token)을 생성하고, `GET /api/v1/platform-tokens/me/`에서 현재 계정 UUID를 가져옵니다.

```shell theme={null}
export PLATFORM_TOKEN='귀하의 계정 토큰'
export USER_ID='귀하의 계정 UUID'
```

## 인터페이스 개요

| 항목 | 내용 |
| - | - |
| 메서드 | `GET` |
| URL | `https://platform.acedata.cloud/api/v1/orders/` |
| 인증 | Account Token, OAuth token에는 `orders:read` 필요 |
| 페이지네이션 | `count` + `items` |

일반 사용자는 자신의 `user_id`를 반드시 전달해야 합니다. 그렇지 않으면 페이지네이션 중 권한이 없는 객체를 만날 때 `403`이 반환될 수 있습니다.

## 쿼리 매개변수

| 매개변수 | 유형 | 필수 | 설명 |
| - | - | - | - |
| `user_id` | UUID | 일반 사용자 필수 | 주문이 속한 계정; 반복 매개변수 지원 |
| `pay_way` | string | 아니요 | 결제 방식으로 필터링; 반복 또는 쉼표로 구분된 값 지원 |
| `state` | string | 아니요 | 상태로 필터링; 반복 또는 쉼표로 구분된 값 지원 |
| `created_at_from/to` | datetime | 아니요 | 생성 시간 범위 |
| `finished_at_from/to` | datetime | 아니요 | 완료 시간 범위 |
| `limit` / `offset` | integer | 아니요 | 페이지네이션 |
| `ordering` | string | 아니요 | `created_at`, `-created_at`, `finished_at` 또는 `-finished_at` |

현재 목록은 `application_id`, `service_id`, `package_id`, `payment_method` 또는 `tag` 필터링을 지원하지 않습니다. 결제 방식 필드명은 `pay_way`입니다.

```shell theme={null}
curl --get 'https://platform.acedata.cloud/api/v1/orders/' \
  --data-urlencode "user_id=${USER_ID}" \
  --data-urlencode 'state=Paid,Finished' \
  --data-urlencode 'pay_way=Stripe' \
  --data-urlencode 'limit=100' \
  -H "Authorization: Bearer ${PLATFORM_TOKEN}"
```

## 응답 설명

응답은 `{count, items}`입니다. 온라인 목록 항목에는 `id`, `user_id`, `application_id/application_ids`, `package_id/package_ids`, `price`, `amount`, `discount`, `remaining_amount`, `state`, `pay_way`, `pay_id`, `pay_url`, `finished_at`, `expired_at`, `invoice`, `metadata` 및 시간 필드가 포함됩니다.

* 실제 상태는 `Pending`, `Paid`, `Finished`, `Expired`, `Failed`, `Refunded`이며, `Cancelled`는 없습니다.
* 필드명은 `pay_way`, `finished_at`, `discount`, `price`이며, `payment_method`, `paid_at`, `discount_rate`, `final_price`가 아닙니다.
* `price`는 주문 기록의 최종 가격입니다. 통화 및 정산 세부 사항은 제어된 metadata에 있을 수 있으므로, 결제 방식만으로 자체적으로 추론할 수 없습니다.

## 관련 인터페이스

* [충전 주문 생성](https://platform.acedata.cloud/documents/platform-order-create)
* [주문 상세 정보 가져오기](https://platform.acedata.cloud/documents/platform-order-detail)
* [주문 결제](https://platform.acedata.cloud/documents/platform-order-pay)
* [주문 상태 새로 고침](https://platform.acedata.cloud/documents/platform-order-refresh)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.